Update application settings

Updates the application settings.

Requires one of the following license types: ioa, ioaPreview, or ioe. See License Types.

Requires the Edit permission on the Application services entity (edit:application-setting). Changing defaultRoleIds also requires the Edit permission on the Roles entity (edit:role). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Application settings

boolean

Specifies whether users can register an account themselves.

boolean

Specifies whether activity logs are recorded.

integer | null
enum

Specifies how many months activity logs are kept.

Allowed:
boolean

Specifies whether to use TLS for the connection to the SMTP server.

string

Specifies the sender address of the email notifications.

defaultRoleIds
array of integers

Specifies the IDs of the roles that new users receive by default.

defaultRoleIds
integer

Specifies the ID of the default security profile for new users.

string | null

Specifies the internal certificate.

boolean

Specifies whether telemetry is enabled.

boolean

Specifies whether Indicators of Attack are configured automatically.

boolean

Specifies whether usage statistics are sent to Tenable Cloud.

boolean

Specifies whether the global health check status is displayed in the interface.

string | null

Specifies the address of the SMTP server that sends email notifications.

integer | null

Specifies the port of the SMTP server.

string | null

Specifies the account used to authenticate to the SMTP server.

string | null

Specifies the password of the SMTP account.

boolean

Specifies whether to use STARTTLS for the connection to the SMTP server.

number | null

Specifies the ID of the relay that connects to the SMTP server.

string | null

Specifies the unique identifier (UUID) of the relay that connects to the SMTP server.

string | null
enum

Specifies how to authenticate to the SMTP server: basic for an account and password, or office365 for Microsoft 365 OAuth.

Allowed:
string | null

Specifies the Microsoft 365 tenant ID. Applies when smtpAuthenticationMethod is office365.

string | null

Specifies the Microsoft 365 client ID. Applies when smtpAuthenticationMethod is office365.

string | null

Specifies the Microsoft 365 client secret. Applies when smtpAuthenticationMethod is office365.

string | null

Specifies the sender email address for Microsoft 365. Applies when smtpAuthenticationMethod is office365.

string | null

Specifies the sender name for Microsoft 365. Applies when smtpAuthenticationMethod is office365.

Responses

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json